Project

General

Profile

Tâche #21013

Scénario #20851: Assistance aux utilisateurs (26-28)

Problème d’Upgrade-Auto 2.3 -> 2.4

Added by Daniel Dehennin about 4 years ago. Updated about 4 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
07/06/2017
Due date:
% Done:

100%

Estimated time:
4.00 h
Spent time:
Remaining (hours):
0.0

Description

Cdrik_[ac-lyon] a des soucis lors d’un Upgrade-Auto d’un scribe 2.3 vers 2.4.2 :

  • Le serveur ne peut pas démarrer sur le nouveau noyau (kernel panic) ⮕ utilisation du noyau 2.3
  • Le processus est cassé, des paquets ne se sont pas mis à jour

History

#1 Updated by Daniel Dehennin about 4 years ago

Il s’avère que :

  • Le serveur dispose d’une carte faux RAID HPSA, un module DKMS était installé en 2.3 afin de supporter ce matériel ;
  • Le paquet hpsa-dkms fourni une page de manuel qui est aussi fournie par le paquet manpages
Nous avons réussi a avancer :
  • Le problème de la page de manuel a été contourné en forçant l’écrasement par le paquet manpages avec la commande :
    apt-get -o Dpkg::Options::="--force-overwrite" dist-upgrade
    
  • Le problème de la carte faux RAID ne devrait plus exister car elle est sensé être supportée avec le noyau Trusty mais il faut faire attention à certains paramétrage du BIOS.

J’ai aussi conseillé la migration avec réinstallation qui est fortement recommendée dans la documentation.

#2 Updated by Cédric Frayssinet about 4 years ago

Création d'une demande en parallèle : https://dev-eole.ac-dijon.fr/issues/21026

#3 Updated by Daniel Dehennin about 4 years ago

  • Assigned To set to Daniel Dehennin
  • % Done changed from 0 to 100
  • Remaining (hours) changed from 4.0 to 0.0

#4 Updated by Scrum Master about 4 years ago

  • Status changed from En cours to Fermé

Also available in: Atom PDF